Version 6.7.7 Source

Table Name: `tabLeave Allocation`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `column_break0` | Column Break |  |
2 | `employee` | Link | Employee | Employee
3 | `employee_name` | Data | Employee Name |
4 | `column_break1` | Column Break |  |
5 | `description` | Small Text | Description |
6 | `section_break_6` | Section Break |  |
7 | `leave_type` | Link | Leave Type | Leave Type
8 | `from_date` | Date | From Date |
9 | `to_date` | Date | To Date |
10 | `column_break_10` | Column Break |  |
11 | `new_leaves_allocated` | Float | New Leaves Allocated |
12 | `carry_forward` | Check | Add unused leaves from previous allocations |
13 | `carry_forwarded_leaves` | Float | Unused leaves |
14 | `total_leaves_allocated` | Float | Total Leaves Allocated |
15 | `amended_from` | Link | Amended From | Leave Allocation

### Controller

#### erpnext.hr.doctype.leave_allocation.leave_allocation

### Class LeaveAllocation

Inherits from frappe.model.document.Document

allow_carry_forward (self)

check whether carry forward is allowed or not for this leave type

check_existing_leave_allocation (self)

check whether leave for same type is already allocated or not

get_carry_forwarded_leaves (self)

No docs

get_leave_bal (self)

No docs

get_leaves_allocated (self)

No docs

get_leaves_applied (self)

No docs

get_total_allocated_leaves (self)

No docs

on_update (self)

No docs

on_update_after_submit (self)

No docs

validate (self)

No docs

validate_new_leaves_allocated_value (self)

validate that leave allocation is in multiples of 0.5

validate_period (self)

No docs

validate_total_leaves_allocated (self, leave_det)

No docs

#### Linked In:

- Leave Allocation